searchNodes=[{"ref":"GoogleApi.IAM.V1.Api.IamPolicies.html","title":"GoogleApi.IAM.V1.Api.IamPolicies","type":"module","doc":"API calls for all endpoints tagged IamPolicies."},{"ref":"GoogleApi.IAM.V1.Api.IamPolicies.html#iam_iam_policies_lint_policy/3","title":"GoogleApi.IAM.V1.Api.IamPolicies.iam_iam_policies_lint_policy/3","type":"function","doc":"Lints a Cloud IAM policy object or its sub fields. Currently supports google.iam.v1.Policy, google.iam.v1.Binding and google.iam.v1.Binding.condition. Each lint operation consists of multiple lint validation units. Validation units have the following properties: Each unit inspects the input object in regard to a particular linting aspect and issues a google.iam.admin.v1.LintResult disclosing the result. Domain of discourse of each unit can be either google.iam.v1.Policy, google.iam.v1.Binding, or google.iam.v1.Binding.condition depending on the purpose of the validation. A unit may require additional data (like the list of all possible enumerable values of a particular attribute used in the policy instance) which shall be provided by the caller. Refer to the comments of google.iam.admin.v1.LintPolicyRequest.context for more details. The set of applicable validation units is determined by the Cloud IAM server and is not configurable. Regardless of any lint issues or their severities, successful calls to lintPolicy return an HTTP 200 OK status code. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.IAM.V1.Model.LintPolicyRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.LintPolicyResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.IamPolicies.html#iam_iam_policies_query_auditable_services/3","title":"GoogleApi.IAM.V1.Api.IamPolicies.iam_iam_policies_query_auditable_services/3","type":"function","doc":"Returns a list of services that support service level audit logging configuration for the given resource. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.IAM.V1.Model.QueryAuditableServicesRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.QueryAuditableServicesResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Organizations.html","title":"GoogleApi.IAM.V1.Api.Organizations","type":"module","doc":"API calls for all endpoints tagged Organizations."},{"ref":"GoogleApi.IAM.V1.Api.Organizations.html#iam_organizations_roles_create/4","title":"GoogleApi.IAM.V1.Api.Organizations.iam_organizations_roles_create/4","type":"function","doc":"Creates a new Role. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server organizations_id (type: String.t) - Part of parent. The parent parameter&#39;s value depends on the target resource for the request, namely projects or organizations. Each resource type&#39;s parent value format is described below: projects.roles.create(): projects/{PROJECT_ID}. This method creates project-level custom roles. Example request URL: https://iam.googleapis.com/v1/projects/{PROJECT_ID}/roles organizations.roles.create(): organizations/{ORGANIZATION_ID}. This method creates organization-level custom roles. Example request URL: https://iam.googleapis.com/v1/organizations/{ORGANIZATION_ID}/roles Note: Wildcard (*) values are invalid; you must specify a complete project ID or organization ID. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.IAM.V1.Model.CreateRoleRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.Role{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Organizations.html#iam_organizations_roles_delete/5","title":"GoogleApi.IAM.V1.Api.Organizations.iam_organizations_roles_delete/5","type":"function","doc":"Soft deletes a role. The role is suspended and cannot be used to create new IAM Policy Bindings. The Role will not be included in ListRoles() unless show_deleted is set in the ListRolesRequest. The Role contains the deleted boolean set. Existing Bindings remains, but are inactive. The Role can be undeleted within 7 days. After 7 days the Role is deleted and all Bindings associated with the role are removed. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server organizations_id (type: String.t) - Part of name. The name parameter&#39;s value depends on the target resource for the request, namely projects or organizations. Each resource type&#39;s name value format is described below: projects.roles.delete(): projects/{PROJECT_ID}/roles/{CUSTOM_ROLE_ID}. This method deletes only custom roles that have been created at the project level. Example request URL: https://iam.googleapis.com/v1/projects/{PROJECT_ID}/roles/{CUSTOM_ROLE_ID} organizations.roles.delete(): organizations/{ORGANIZATION_ID}/roles/{CUSTOM_ROLE_ID}. This method deletes only custom roles that have been created at the organization level. Example request URL: https://iam.googleapis.com/v1/organizations/{ORGANIZATION_ID}/roles/{CUSTOM_ROLE_ID} Note: Wildcard (*) values are invalid; you must specify a complete project ID or organization ID. roles_id (type: String.t) - Part of name. See documentation of organizationsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :etag (type: String.t) - Used to perform a consistent read-modify-write. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.Role{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Organizations.html#iam_organizations_roles_get/5","title":"GoogleApi.IAM.V1.Api.Organizations.iam_organizations_roles_get/5","type":"function","doc":"Gets a Role definition. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server organizations_id (type: String.t) - Part of name. The name parameter&#39;s value depends on the target resource for the request, namely roles, projects, or organizations. Each resource type&#39;s name value format is described below: roles.get(): roles/{ROLE_NAME}. This method returns results from all predefined roles in Cloud IAM. Example request URL: https://iam.googleapis.com/v1/roles/{ROLE_NAME} projects.roles.get(): projects/{PROJECT_ID}/roles/{CUSTOM_ROLE_ID}. This method returns only custom roles that have been created at the project level. Example request URL: https://iam.googleapis.com/v1/projects/{PROJECT_ID}/roles/{CUSTOM_ROLE_ID} organizations.roles.get(): organizations/{ORGANIZATION_ID}/roles/{CUSTOM_ROLE_ID}. This method returns only custom roles that have been created at the organization level. Example request URL: https://iam.googleapis.com/v1/organizations/{ORGANIZATION_ID}/roles/{CUSTOM_ROLE_ID} Note: Wildcard (*) values are invalid; you must specify a complete project ID or organization ID. roles_id (type: String.t) - Part of name. See documentation of organizationsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.Role{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Organizations.html#iam_organizations_roles_list/4","title":"GoogleApi.IAM.V1.Api.Organizations.iam_organizations_roles_list/4","type":"function","doc":"Lists the Roles defined on a resource. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server organizations_id (type: String.t) - Part of parent. The parent parameter&#39;s value depends on the target resource for the request, namely roles, projects, or organizations. Each resource type&#39;s parent value format is described below: roles.list(): An empty string. This method doesn&#39;t require a resource; it simply returns all predefined roles in Cloud IAM. Example request URL: https://iam.googleapis.com/v1/roles projects.roles.list(): projects/{PROJECT_ID}. This method lists all project-level custom roles. Example request URL: https://iam.googleapis.com/v1/projects/{PROJECT_ID}/roles organizations.roles.list(): organizations/{ORGANIZATION_ID}. This method lists all organization-level custom roles. Example request URL: https://iam.googleapis.com/v1/organizations/{ORGANIZATION_ID}/roles Note: Wildcard (*) values are invalid; you must specify a complete project ID or organization ID. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - Optional limit on the number of roles to include in the response. :pageToken (type: String.t) - Optional pagination token returned in an earlier ListRolesResponse. :showDeleted (type: boolean()) - Include Roles that have been deleted. :view (type: String.t) - Optional view for the returned Role objects. When FULL is specified, the includedPermissions field is returned, which includes a list of all permissions in the role. The default value is BASIC, which does not return the includedPermissions field. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.ListRolesResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Organizations.html#iam_organizations_roles_patch/5","title":"GoogleApi.IAM.V1.Api.Organizations.iam_organizations_roles_patch/5","type":"function","doc":"Updates a Role definition. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server organizations_id (type: String.t) - Part of name. The name parameter&#39;s value depends on the target resource for the request, namely projects or organizations. Each resource type&#39;s name value format is described below: projects.roles.patch(): projects/{PROJECT_ID}/roles/{CUSTOM_ROLE_ID}. This method updates only custom roles that have been created at the project level. Example request URL: https://iam.googleapis.com/v1/projects/{PROJECT_ID}/roles/{CUSTOM_ROLE_ID} organizations.roles.patch(): organizations/{ORGANIZATION_ID}/roles/{CUSTOM_ROLE_ID}. This method updates only custom roles that have been created at the organization level. Example request URL: https://iam.googleapis.com/v1/organizations/{ORGANIZATION_ID}/roles/{CUSTOM_ROLE_ID} Note: Wildcard (*) values are invalid; you must specify a complete project ID or organization ID. roles_id (type: String.t) - Part of name. See documentation of organizationsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :updateMask (type: String.t) - A mask describing which fields in the Role have changed. :body (type: GoogleApi.IAM.V1.Model.Role.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.Role{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Organizations.html#iam_organizations_roles_undelete/5","title":"GoogleApi.IAM.V1.Api.Organizations.iam_organizations_roles_undelete/5","type":"function","doc":"Undelete a Role, bringing it back in its previous state. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server organizations_id (type: String.t) - Part of name. The name parameter&#39;s value depends on the target resource for the request, namely projects or organizations. Each resource type&#39;s name value format is described below: projects.roles.undelete(): projects/{PROJECT_ID}/roles/{CUSTOM_ROLE_ID}. This method undeletes only custom roles that have been created at the project level. Example request URL: https://iam.googleapis.com/v1/projects/{PROJECT_ID}/roles/{CUSTOM_ROLE_ID} organizations.roles.undelete(): organizations/{ORGANIZATION_ID}/roles/{CUSTOM_ROLE_ID}. This method undeletes only custom roles that have been created at the organization level. Example request URL: https://iam.googleapis.com/v1/organizations/{ORGANIZATION_ID}/roles/{CUSTOM_ROLE_ID} Note: Wildcard (*) values are invalid; you must specify a complete project ID or organization ID. roles_id (type: String.t) - Part of name. See documentation of organizationsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.IAM.V1.Model.UndeleteRoleRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.Role{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Permissions.html","title":"GoogleApi.IAM.V1.Api.Permissions","type":"module","doc":"API calls for all endpoints tagged Permissions."},{"ref":"GoogleApi.IAM.V1.Api.Permissions.html#iam_permissions_query_testable_permissions/3","title":"GoogleApi.IAM.V1.Api.Permissions.iam_permissions_query_testable_permissions/3","type":"function","doc":"Lists the permissions testable on a resource. A permission is testable if it can be tested for an identity on a resource. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.IAM.V1.Model.QueryTestablePermissionsRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.QueryTestablePermissionsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html","title":"GoogleApi.IAM.V1.Api.Projects","type":"module","doc":"API calls for all endpoints tagged Projects."},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_roles_create/4","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_roles_create/4","type":"function","doc":"Creates a new Role. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of parent. The parent parameter&#39;s value depends on the target resource for the request, namely projects or organizations. Each resource type&#39;s parent value format is described below: projects.roles.create(): projects/{PROJECT_ID}. This method creates project-level custom roles. Example request URL: https://iam.googleapis.com/v1/projects/{PROJECT_ID}/roles organizations.roles.create(): organizations/{ORGANIZATION_ID}. This method creates organization-level custom roles. Example request URL: https://iam.googleapis.com/v1/organizations/{ORGANIZATION_ID}/roles Note: Wildcard (*) values are invalid; you must specify a complete project ID or organization ID. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.IAM.V1.Model.CreateRoleRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.Role{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_roles_delete/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_roles_delete/5","type":"function","doc":"Soft deletes a role. The role is suspended and cannot be used to create new IAM Policy Bindings. The Role will not be included in ListRoles() unless show_deleted is set in the ListRolesRequest. The Role contains the deleted boolean set. Existing Bindings remains, but are inactive. The Role can be undeleted within 7 days. After 7 days the Role is deleted and all Bindings associated with the role are removed. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. The name parameter&#39;s value depends on the target resource for the request, namely projects or organizations. Each resource type&#39;s name value format is described below: projects.roles.delete(): projects/{PROJECT_ID}/roles/{CUSTOM_ROLE_ID}. This method deletes only custom roles that have been created at the project level. Example request URL: https://iam.googleapis.com/v1/projects/{PROJECT_ID}/roles/{CUSTOM_ROLE_ID} organizations.roles.delete(): organizations/{ORGANIZATION_ID}/roles/{CUSTOM_ROLE_ID}. This method deletes only custom roles that have been created at the organization level. Example request URL: https://iam.googleapis.com/v1/organizations/{ORGANIZATION_ID}/roles/{CUSTOM_ROLE_ID} Note: Wildcard (*) values are invalid; you must specify a complete project ID or organization ID. roles_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :etag (type: String.t) - Used to perform a consistent read-modify-write. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.Role{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_roles_get/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_roles_get/5","type":"function","doc":"Gets a Role definition. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. The name parameter&#39;s value depends on the target resource for the request, namely roles, projects, or organizations. Each resource type&#39;s name value format is described below: roles.get(): roles/{ROLE_NAME}. This method returns results from all predefined roles in Cloud IAM. Example request URL: https://iam.googleapis.com/v1/roles/{ROLE_NAME} projects.roles.get(): projects/{PROJECT_ID}/roles/{CUSTOM_ROLE_ID}. This method returns only custom roles that have been created at the project level. Example request URL: https://iam.googleapis.com/v1/projects/{PROJECT_ID}/roles/{CUSTOM_ROLE_ID} organizations.roles.get(): organizations/{ORGANIZATION_ID}/roles/{CUSTOM_ROLE_ID}. This method returns only custom roles that have been created at the organization level. Example request URL: https://iam.googleapis.com/v1/organizations/{ORGANIZATION_ID}/roles/{CUSTOM_ROLE_ID} Note: Wildcard (*) values are invalid; you must specify a complete project ID or organization ID. roles_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.Role{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_roles_list/4","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_roles_list/4","type":"function","doc":"Lists the Roles defined on a resource. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of parent. The parent parameter&#39;s value depends on the target resource for the request, namely roles, projects, or organizations. Each resource type&#39;s parent value format is described below: roles.list(): An empty string. This method doesn&#39;t require a resource; it simply returns all predefined roles in Cloud IAM. Example request URL: https://iam.googleapis.com/v1/roles projects.roles.list(): projects/{PROJECT_ID}. This method lists all project-level custom roles. Example request URL: https://iam.googleapis.com/v1/projects/{PROJECT_ID}/roles organizations.roles.list(): organizations/{ORGANIZATION_ID}. This method lists all organization-level custom roles. Example request URL: https://iam.googleapis.com/v1/organizations/{ORGANIZATION_ID}/roles Note: Wildcard (*) values are invalid; you must specify a complete project ID or organization ID. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - Optional limit on the number of roles to include in the response. :pageToken (type: String.t) - Optional pagination token returned in an earlier ListRolesResponse. :showDeleted (type: boolean()) - Include Roles that have been deleted. :view (type: String.t) - Optional view for the returned Role objects. When FULL is specified, the includedPermissions field is returned, which includes a list of all permissions in the role. The default value is BASIC, which does not return the includedPermissions field. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.ListRolesResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_roles_patch/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_roles_patch/5","type":"function","doc":"Updates a Role definition. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. The name parameter&#39;s value depends on the target resource for the request, namely projects or organizations. Each resource type&#39;s name value format is described below: projects.roles.patch(): projects/{PROJECT_ID}/roles/{CUSTOM_ROLE_ID}. This method updates only custom roles that have been created at the project level. Example request URL: https://iam.googleapis.com/v1/projects/{PROJECT_ID}/roles/{CUSTOM_ROLE_ID} organizations.roles.patch(): organizations/{ORGANIZATION_ID}/roles/{CUSTOM_ROLE_ID}. This method updates only custom roles that have been created at the organization level. Example request URL: https://iam.googleapis.com/v1/organizations/{ORGANIZATION_ID}/roles/{CUSTOM_ROLE_ID} Note: Wildcard (*) values are invalid; you must specify a complete project ID or organization ID. roles_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :updateMask (type: String.t) - A mask describing which fields in the Role have changed. :body (type: GoogleApi.IAM.V1.Model.Role.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.Role{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_roles_undelete/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_roles_undelete/5","type":"function","doc":"Undelete a Role, bringing it back in its previous state. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. The name parameter&#39;s value depends on the target resource for the request, namely projects or organizations. Each resource type&#39;s name value format is described below: projects.roles.undelete(): projects/{PROJECT_ID}/roles/{CUSTOM_ROLE_ID}. This method undeletes only custom roles that have been created at the project level. Example request URL: https://iam.googleapis.com/v1/projects/{PROJECT_ID}/roles/{CUSTOM_ROLE_ID} organizations.roles.undelete(): organizations/{ORGANIZATION_ID}/roles/{CUSTOM_ROLE_ID}. This method undeletes only custom roles that have been created at the organization level. Example request URL: https://iam.googleapis.com/v1/organizations/{ORGANIZATION_ID}/roles/{CUSTOM_ROLE_ID} Note: Wildcard (*) values are invalid; you must specify a complete project ID or organization ID. roles_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.IAM.V1.Model.UndeleteRoleRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.Role{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_create/4","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_create/4","type":"function","doc":"Creates a ServiceAccount and returns it. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. Required. The resource name of the project associated with the service accounts, such as projects/my-project-123. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.IAM.V1.Model.CreateServiceAccountRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.ServiceAccount{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_delete/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_delete/5","type":"function","doc":"Deletes a ServiceAccount. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. The resource name of the service account in the following format: projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}. Using - as a wildcard for the PROJECT_ID will infer the project from the account. The ACCOUNT value can be the email address or the unique_id of the service account. service_accounts_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_disable/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_disable/5","type":"function","doc":"DisableServiceAccount is currently in the alpha launch stage. Disables a ServiceAccount, which immediately prevents the service account from authenticating and gaining access to APIs. Disabled service accounts can be safely restored by using EnableServiceAccount at any point. Deleted service accounts cannot be restored using this method. Disabling a service account that is bound to VMs, Apps, Functions, or other jobs will cause those jobs to lose access to resources if they are using the disabled service account. To improve reliability of your services and avoid unexpected outages, it is recommended to first disable a service account rather than delete it. After disabling the service account, wait at least 24 hours to verify there are no unintended consequences, and then delete the service account. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. The resource name of the service account in the following format: projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}. Using - as a wildcard for the PROJECT_ID will infer the project from the account. The ACCOUNT value can be the email address or the unique_id of the service account. service_accounts_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.IAM.V1.Model.DisableServiceAccountRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_enable/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_enable/5","type":"function","doc":"EnableServiceAccount is currently in the alpha launch stage. Restores a disabled ServiceAccount that has been manually disabled by using DisableServiceAccount. Service accounts that have been disabled by other means or for other reasons, such as abuse, cannot be restored using this method. EnableServiceAccount will have no effect on a service account that is not disabled. Enabling an already enabled service account will have no effect. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. The resource name of the service account in the following format: projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}. Using - as a wildcard for the PROJECT_ID will infer the project from the account. The ACCOUNT value can be the email address or the unique_id of the service account. service_accounts_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.IAM.V1.Model.EnableServiceAccountRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_get/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_get/5","type":"function","doc":"Gets a ServiceAccount. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. The resource name of the service account in the following format: projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}. Using - as a wildcard for the PROJECT_ID will infer the project from the account. The ACCOUNT value can be the email address or the unique_id of the service account. service_accounts_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.ServiceAccount{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_get_iam_policy/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_get_iam_policy/5","type":"function","doc":"Returns the Cloud IAM access control policy for a ServiceAccount. Note: Service accounts are both resources and identities. This method treats the service account as a resource. It returns the Cloud IAM policy that reflects what members have access to the service account. This method does not return what resources the service account has access to. To see if a service account has access to a resource, call the getIamPolicy method on the target resource. For example, to view grants for a project, call the projects.getIamPolicy method. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of resource. REQUIRED: The resource for which the policy is being requested. See the operation documentation for the appropriate value for this field. service_accounts_id (type: String.t) - Part of resource. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :&quot;options.requestedPolicyVersion&quot; (type: integer()) - Optional. The policy format version to be returned. Acceptable values are 0, 1, and 3. If the value is 0, or the field is omitted, policy format version 1 will be returned. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.Policy{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_keys_create/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_keys_create/5","type":"function","doc":"Creates a ServiceAccountKey and returns it. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. The resource name of the service account in the following format: projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}. Using - as a wildcard for the PROJECT_ID will infer the project from the account. The ACCOUNT value can be the email address or the unique_id of the service account. service_accounts_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.IAM.V1.Model.CreateServiceAccountKeyRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.ServiceAccountKey{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_keys_delete/6","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_keys_delete/6","type":"function","doc":"Deletes a ServiceAccountKey. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. The resource name of the service account key in the following format: projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}/keys/{key}. Using - as a wildcard for the PROJECT_ID will infer the project from the account. The ACCOUNT value can be the email address or the unique_id of the service account. service_accounts_id (type: String.t) - Part of name. See documentation of projectsId. keys_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_keys_get/6","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_keys_get/6","type":"function","doc":"Gets the ServiceAccountKey by key id. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. The resource name of the service account key in the following format: projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}/keys/{key}. Using - as a wildcard for the PROJECT_ID will infer the project from the account. The ACCOUNT value can be the email address or the unique_id of the service account. service_accounts_id (type: String.t) - Part of name. See documentation of projectsId. keys_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :publicKeyType (type: String.t) - The output format of the public key requested. X509_PEM is the default output format. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.ServiceAccountKey{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_keys_list/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_keys_list/5","type":"function","doc":"Lists ServiceAccountKeys. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. The resource name of the service account in the following format: projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}. Using - as a wildcard for the PROJECT_ID, will infer the project from the account. The ACCOUNT value can be the email address or the unique_id of the service account. service_accounts_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :keyTypes (type: list(String.t)) - Filters the types of keys the user wants to include in the list response. Duplicate key types are not allowed. If no key type is provided, all keys are returned. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.ListServiceAccountKeysResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_list/4","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_list/4","type":"function","doc":"Lists ServiceAccounts for a project. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. Required. The resource name of the project associated with the service accounts, such as projects/my-project-123. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - Optional limit on the number of service accounts to include in the response. Further accounts can subsequently be obtained by including the ListServiceAccountsResponse.next_page_token in a subsequent request. :pageToken (type: String.t) - Optional pagination token returned in an earlier ListServiceAccountsResponse.next_page_token. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.ListServiceAccountsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_patch/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_patch/5","type":"function","doc":"Patches a ServiceAccount. Currently, only the following fields are updatable: display_name and description. Only fields specified in the request are guaranteed to be returned in the response. Other fields in the response may be empty. Note: The field mask is required. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of serviceAccount.name. The resource name of the service account in the following format: projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}. Requests using - as a wildcard for the PROJECT_ID will infer the project from the account and the ACCOUNT value can be the email address or the unique_id of the service account. In responses the resource name will always be in the format projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}. service_accounts_id (type: String.t) - Part of serviceAccount.name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.IAM.V1.Model.PatchServiceAccountRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.ServiceAccount{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_set_iam_policy/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_set_iam_policy/5","type":"function","doc":"Sets the Cloud IAM access control policy for a ServiceAccount. Note: Service accounts are both resources and identities. This method treats the service account as a resource. Use it to grant members access to the service account, such as when they need to impersonate it. This method does not grant the service account access to other resources, such as projects. To grant a service account access to resources, include the service account in the Cloud IAM policy for the desired resource, then call the appropriate setIamPolicy method on the target resource. For example, to grant a service account access to a project, call the projects.setIamPolicy method. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of resource. REQUIRED: The resource for which the policy is being specified. See the operation documentation for the appropriate value for this field. service_accounts_id (type: String.t) - Part of resource. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.IAM.V1.Model.SetIamPolicyRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.Policy{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_sign_blob/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_sign_blob/5","type":"function","doc":"Note: This method is in the process of being deprecated. Call the signBlob() method of the Cloud IAM Service Account Credentials API instead. Signs a blob using a service account&#39;s system-managed private key. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. The resource name of the service account in the following format: projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}. Using - as a wildcard for the PROJECT_ID will infer the project from the account. The ACCOUNT value can be the email address or the unique_id of the service account. service_accounts_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.IAM.V1.Model.SignBlobRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.SignBlobResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_sign_jwt/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_sign_jwt/5","type":"function","doc":"Note: This method is in the process of being deprecated. Call the signJwt() method of the Cloud IAM Service Account Credentials API instead. Signs a JWT using a service account&#39;s system-managed private key. If no expiry time (exp) is provided in the SignJwtRequest, IAM sets an an expiry time of one hour by default. If you request an expiry time of more than one hour, the request will fail. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. The resource name of the service account in the following format: projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}. Using - as a wildcard for the PROJECT_ID will infer the project from the account. The ACCOUNT value can be the email address or the unique_id of the service account. service_accounts_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.IAM.V1.Model.SignJwtRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.SignJwtResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_test_iam_permissions/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_test_iam_permissions/5","type":"function","doc":"Tests the specified permissions against the IAM access control policy for a ServiceAccount. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of resource. REQUIRED: The resource for which the policy detail is being requested. See the operation documentation for the appropriate value for this field. service_accounts_id (type: String.t) - Part of resource. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.IAM.V1.Model.TestIamPermissionsRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.TestIamPermissionsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_undelete/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_undelete/5","type":"function","doc":"Restores a deleted ServiceAccount. This is to be used as an action of last resort. A service account may not always be restorable. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. The resource name of the service account in the following format: projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT_UNIQUE_ID}. Using - as a wildcard for the PROJECT_ID will infer the project from the account. service_accounts_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.IAM.V1.Model.UndeleteServiceAccountRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.UndeleteServiceAccountResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Projects.html#iam_projects_service_accounts_update/5","title":"GoogleApi.IAM.V1.Api.Projects.iam_projects_service_accounts_update/5","type":"function","doc":"Note: This method is in the process of being deprecated. Use PatchServiceAccount instead. Updates a ServiceAccount. Currently, only the following fields are updatable: display_name and description. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. The resource name of the service account in the following format: projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}. Requests using - as a wildcard for the PROJECT_ID will infer the project from the account and the ACCOUNT value can be the email address or the unique_id of the service account. In responses the resource name will always be in the format projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}. service_accounts_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.IAM.V1.Model.ServiceAccount.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.ServiceAccount{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Roles.html","title":"GoogleApi.IAM.V1.Api.Roles","type":"module","doc":"API calls for all endpoints tagged Roles."},{"ref":"GoogleApi.IAM.V1.Api.Roles.html#iam_roles_get/4","title":"GoogleApi.IAM.V1.Api.Roles.iam_roles_get/4","type":"function","doc":"Gets a Role definition. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server roles_id (type: String.t) - Part of name. The name parameter&#39;s value depends on the target resource for the request, namely roles, projects, or organizations. Each resource type&#39;s name value format is described below: roles.get(): roles/{ROLE_NAME}. This method returns results from all predefined roles in Cloud IAM. Example request URL: https://iam.googleapis.com/v1/roles/{ROLE_NAME} projects.roles.get(): projects/{PROJECT_ID}/roles/{CUSTOM_ROLE_ID}. This method returns only custom roles that have been created at the project level. Example request URL: https://iam.googleapis.com/v1/projects/{PROJECT_ID}/roles/{CUSTOM_ROLE_ID} organizations.roles.get(): organizations/{ORGANIZATION_ID}/roles/{CUSTOM_ROLE_ID}. This method returns only custom roles that have been created at the organization level. Example request URL: https://iam.googleapis.com/v1/organizations/{ORGANIZATION_ID}/roles/{CUSTOM_ROLE_ID} Note: Wildcard (*) values are invalid; you must specify a complete project ID or organization ID. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.Role{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Roles.html#iam_roles_list/3","title":"GoogleApi.IAM.V1.Api.Roles.iam_roles_list/3","type":"function","doc":"Lists the Roles defined on a resource. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - Optional limit on the number of roles to include in the response. :pageToken (type: String.t) - Optional pagination token returned in an earlier ListRolesResponse. :parent (type: String.t) - The parent parameter&#39;s value depends on the target resource for the request, namely roles, projects, or organizations. Each resource type&#39;s parent value format is described below: roles.list(): An empty string. This method doesn&#39;t require a resource; it simply returns all predefined roles in Cloud IAM. Example request URL: https://iam.googleapis.com/v1/roles projects.roles.list(): projects/{PROJECT_ID}. This method lists all project-level custom roles. Example request URL: https://iam.googleapis.com/v1/projects/{PROJECT_ID}/roles organizations.roles.list(): organizations/{ORGANIZATION_ID}. This method lists all organization-level custom roles. Example request URL: https://iam.googleapis.com/v1/organizations/{ORGANIZATION_ID}/roles Note: Wildcard (*) values are invalid; you must specify a complete project ID or organization ID. :showDeleted (type: boolean()) - Include Roles that have been deleted. :view (type: String.t) - Optional view for the returned Role objects. When FULL is specified, the includedPermissions field is returned, which includes a list of all permissions in the role. The default value is BASIC, which does not return the includedPermissions field. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.ListRolesResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Api.Roles.html#iam_roles_query_grantable_roles/3","title":"GoogleApi.IAM.V1.Api.Roles.iam_roles_query_grantable_roles/3","type":"function","doc":"Queries roles that can be granted on a particular resource. A role is grantable if it can be used as the role in a binding for a policy for that resource. Parameters connection (type: GoogleApi.IAM.V1.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.IAM.V1.Model.QueryGrantableRolesRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAM.V1.Model.QueryGrantableRolesResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAM.V1.Connection.html","title":"GoogleApi.IAM.V1.Connection","type":"module","doc":"Handle Tesla connections for GoogleApi.IAM.V1."},{"ref":"GoogleApi.IAM.V1.Connection.html#delete/3","title":"GoogleApi.IAM.V1.Connection.delete/3","type":"function","doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#delete!/3","title":"GoogleApi.IAM.V1.Connection.delete!/3","type":"function","doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#execute/2","title":"GoogleApi.IAM.V1.Connection.execute/2","type":"function","doc":"Execute a request on this connection Returns Tesla.Env"},{"ref":"GoogleApi.IAM.V1.Connection.html#get/3","title":"GoogleApi.IAM.V1.Connection.get/3","type":"function","doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#get!/3","title":"GoogleApi.IAM.V1.Connection.get!/3","type":"function","doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#head/3","title":"GoogleApi.IAM.V1.Connection.head/3","type":"function","doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#head!/3","title":"GoogleApi.IAM.V1.Connection.head!/3","type":"function","doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#new/0","title":"GoogleApi.IAM.V1.Connection.new/0","type":"function","doc":"Configure an authless client connection Returns Tesla.Client.t"},{"ref":"GoogleApi.IAM.V1.Connection.html#new/1","title":"GoogleApi.IAM.V1.Connection.new/1","type":"function","doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (function arity of 1): Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client"},{"ref":"GoogleApi.IAM.V1.Connection.html#options/3","title":"GoogleApi.IAM.V1.Connection.options/3","type":"function","doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#options!/3","title":"GoogleApi.IAM.V1.Connection.options!/3","type":"function","doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#patch/4","title":"GoogleApi.IAM.V1.Connection.patch/4","type":"function","doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#patch!/4","title":"GoogleApi.IAM.V1.Connection.patch!/4","type":"function","doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#post/4","title":"GoogleApi.IAM.V1.Connection.post/4","type":"function","doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#post!/4","title":"GoogleApi.IAM.V1.Connection.post!/4","type":"function","doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#put/4","title":"GoogleApi.IAM.V1.Connection.put/4","type":"function","doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#put!/4","title":"GoogleApi.IAM.V1.Connection.put!/4","type":"function","doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#request/2","title":"GoogleApi.IAM.V1.Connection.request/2","type":"function","doc":"Perform a request Options: :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples: ExampleApi.request(method: :get, url: &quot;/users/path&quot;) You can also use shortcut methods like: ExampleApi.get(&quot;/users/1&quot;) or ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})"},{"ref":"GoogleApi.IAM.V1.Connection.html#request!/2","title":"GoogleApi.IAM.V1.Connection.request!/2","type":"function","doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options."},{"ref":"GoogleApi.IAM.V1.Connection.html#trace/3","title":"GoogleApi.IAM.V1.Connection.trace/3","type":"function","doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#trace!/3","title":"GoogleApi.IAM.V1.Connection.trace!/3","type":"function","doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAM.V1.Connection.html#t:option/0","title":"GoogleApi.IAM.V1.Connection.option/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Connection.html#t:t/0","title":"GoogleApi.IAM.V1.Connection.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.AdminAuditData.html","title":"GoogleApi.IAM.V1.Model.AdminAuditData","type":"module","doc":"Audit log information specific to Cloud IAM admin APIs. This message is serialized as an Any type in the ServiceData message of an AuditLog message. Attributes permissionDelta (type: GoogleApi.IAM.V1.Model.PermissionDelta.t, default: nil) - The permission_delta when when creating or updating a Role."},{"ref":"GoogleApi.IAM.V1.Model.AdminAuditData.html#decode/2","title":"GoogleApi.IAM.V1.Model.AdminAuditData.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.AdminAuditData.html#t:t/0","title":"GoogleApi.IAM.V1.Model.AdminAuditData.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.AuditConfig.html","title":"GoogleApi.IAM.V1.Model.AuditConfig","type":"module","doc":"Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both allServices and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { &quot;audit_configs&quot;: [ { &quot;service&quot;: &quot;allServices&quot; &quot;audit_log_configs&quot;: [ { &quot;log_type&quot;: &quot;DATA_READ&quot;, &quot;exempted_members&quot;: [ &quot;user:jose@example.com&quot; ] }, { &quot;log_type&quot;: &quot;DATA_WRITE&quot;, }, { &quot;log_type&quot;: &quot;ADMIN_READ&quot;, } ] }, { &quot;service&quot;: &quot;sampleservice.googleapis.com&quot; &quot;audit_log_configs&quot;: [ { &quot;log_type&quot;: &quot;DATA_READ&quot;, }, { &quot;log_type&quot;: &quot;DATA_WRITE&quot;, &quot;exempted_members&quot;: [ &quot;user:aliya@example.com&quot; ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts jose@example.com from DATA_READ logging, and aliya@example.com from DATA_WRITE logging. Attributes auditLogConfigs (type: list(GoogleApi.IAM.V1.Model.AuditLogConfig.t), default: nil) - The configuration for logging of each type of permission. service (type: String.t, default: nil) - Specifies a service that will be enabled for audit logging. For example, storage.googleapis.com, cloudsql.googleapis.com. allServices is a special value that covers all services."},{"ref":"GoogleApi.IAM.V1.Model.AuditConfig.html#decode/2","title":"GoogleApi.IAM.V1.Model.AuditConfig.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.AuditConfig.html#t:t/0","title":"GoogleApi.IAM.V1.Model.AuditConfig.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.AuditData.html","title":"GoogleApi.IAM.V1.Model.AuditData","type":"module","doc":"Audit log information specific to Cloud IAM. This message is serialized as an Any type in the ServiceData message of an AuditLog message. Attributes policyDelta (type: GoogleApi.IAM.V1.Model.PolicyDelta.t, default: nil) - Policy delta between the original policy and the newly set policy."},{"ref":"GoogleApi.IAM.V1.Model.AuditData.html#decode/2","title":"GoogleApi.IAM.V1.Model.AuditData.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.AuditData.html#t:t/0","title":"GoogleApi.IAM.V1.Model.AuditData.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.AuditLogConfig.html","title":"GoogleApi.IAM.V1.Model.AuditLogConfig","type":"module","doc":"Provides the configuration for logging a type of permissions. Example: { &quot;audit_log_configs&quot;: [ { &quot;log_type&quot;: &quot;DATA_READ&quot;, &quot;exempted_members&quot;: [ &quot;user:jose@example.com&quot; ] }, { &quot;log_type&quot;: &quot;DATA_WRITE&quot;, } ] } This enables &#39;DATA_READ&#39; and &#39;DATA_WRITE&#39; logging, while exempting jose@example.com from DATA_READ logging. Attributes exemptedMembers (type: list(String.t), default: nil) - Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members. logType (type: String.t, default: nil) - The log type that this config enables."},{"ref":"GoogleApi.IAM.V1.Model.AuditLogConfig.html#decode/2","title":"GoogleApi.IAM.V1.Model.AuditLogConfig.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.AuditLogConfig.html#t:t/0","title":"GoogleApi.IAM.V1.Model.AuditLogConfig.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.AuditableService.html","title":"GoogleApi.IAM.V1.Model.AuditableService","type":"module","doc":"Contains information about an auditable service. Attributes name (type: String.t, default: nil) - Public name of the service. For example, the service name for Cloud IAM is &#39;iam.googleapis.com&#39;."},{"ref":"GoogleApi.IAM.V1.Model.AuditableService.html#decode/2","title":"GoogleApi.IAM.V1.Model.AuditableService.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.AuditableService.html#t:t/0","title":"GoogleApi.IAM.V1.Model.AuditableService.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.Binding.html","title":"GoogleApi.IAM.V1.Model.Binding","type":"module","doc":"Associates members with a role. Attributes condition (type: GoogleApi.IAM.V1.Model.Expr.t, default: nil) - The condition that is associated with this binding. NOTE: An unsatisfied condition will not allow user access via current binding. Different bindings, including their conditions, are examined independently. members (type: list(String.t), default: nil) - Specifies the identities requesting access for a Cloud Platform resource. members can have the following values: allUsers: A special identifier that represents anyone who is on the internet; with or without a Google account. allAuthenticatedUsers: A special identifier that represents anyone who is authenticated with a Google account or a service account. user:{emailid}: An email address that represents a specific Google account. For example, alice@example.com . serviceAccount:{emailid}: An email address that represents a service account. For example, my-other-app@appspot.gserviceaccount.com. group:{emailid}: An email address that represents a Google group. For example, admins@example.com. domain:{domain}: The G Suite domain (primary) that represents all the users of that domain. For example, google.com or example.com. role (type: String.t, default: nil) - Role that is assigned to members. For example, roles/viewer, roles/editor, or roles/owner."},{"ref":"GoogleApi.IAM.V1.Model.Binding.html#decode/2","title":"GoogleApi.IAM.V1.Model.Binding.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.Binding.html#t:t/0","title":"GoogleApi.IAM.V1.Model.Binding.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.BindingDelta.html","title":"GoogleApi.IAM.V1.Model.BindingDelta","type":"module","doc":"One delta entry for Binding. Each individual change (only one member in each entry) to a binding will be a separate entry. Attributes action (type: String.t, default: nil) - The action that was performed on a Binding. Required condition (type: GoogleApi.IAM.V1.Model.Expr.t, default: nil) - Unimplemented. The condition that is associated with this binding. This field is logged only for Cloud Audit Logging. member (type: String.t, default: nil) - A single identity requesting access for a Cloud Platform resource. Follows the same format of Binding.members. Required role (type: String.t, default: nil) - Role that is assigned to members. For example, roles/viewer, roles/editor, or roles/owner. Required"},{"ref":"GoogleApi.IAM.V1.Model.BindingDelta.html#decode/2","title":"GoogleApi.IAM.V1.Model.BindingDelta.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.BindingDelta.html#t:t/0","title":"GoogleApi.IAM.V1.Model.BindingDelta.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.CreateRoleRequest.html","title":"GoogleApi.IAM.V1.Model.CreateRoleRequest","type":"module","doc":"The request to create a new role. Attributes role (type: GoogleApi.IAM.V1.Model.Role.t, default: nil) - The Role resource to create. roleId (type: String.t, default: nil) - The role ID to use for this role."},{"ref":"GoogleApi.IAM.V1.Model.CreateRoleRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.CreateRoleRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.CreateRoleRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.CreateRoleRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.CreateServiceAccountKeyRequest.html","title":"GoogleApi.IAM.V1.Model.CreateServiceAccountKeyRequest","type":"module","doc":"The service account key create request. Attributes keyAlgorithm (type: String.t, default: nil) - Which type of key and algorithm to use for the key. The default is currently a 2K RSA key. However this may change in the future. privateKeyType (type: String.t, default: nil) - The output format of the private key. The default value is TYPE_GOOGLE_CREDENTIALS_FILE, which is the Google Credentials File format."},{"ref":"GoogleApi.IAM.V1.Model.CreateServiceAccountKeyRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.CreateServiceAccountKeyRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.CreateServiceAccountKeyRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.CreateServiceAccountKeyRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.CreateServiceAccountRequest.html","title":"GoogleApi.IAM.V1.Model.CreateServiceAccountRequest","type":"module","doc":"The service account create request. Attributes accountId (type: String.t, default: nil) - Required. The account id that is used to generate the service account email address and a stable unique id. It is unique within a project, must be 6-30 characters long, and match the regular expression [a-z]([-a-z0-9]*[a-z0-9]) to comply with RFC1035. serviceAccount (type: GoogleApi.IAM.V1.Model.ServiceAccount.t, default: nil) - The ServiceAccount resource to create. Currently, only the following values are user assignable: display_name ."},{"ref":"GoogleApi.IAM.V1.Model.CreateServiceAccountRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.CreateServiceAccountRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.CreateServiceAccountRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.CreateServiceAccountRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.DisableServiceAccountRequest.html","title":"GoogleApi.IAM.V1.Model.DisableServiceAccountRequest","type":"module","doc":"The service account disable request. Attributes"},{"ref":"GoogleApi.IAM.V1.Model.DisableServiceAccountRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.DisableServiceAccountRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.DisableServiceAccountRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.DisableServiceAccountRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.Empty.html","title":"GoogleApi.IAM.V1.Model.Empty","type":"module","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } The JSON representation for Empty is empty JSON object {}. Attributes"},{"ref":"GoogleApi.IAM.V1.Model.Empty.html#decode/2","title":"GoogleApi.IAM.V1.Model.Empty.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.Empty.html#t:t/0","title":"GoogleApi.IAM.V1.Model.Empty.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.EnableServiceAccountRequest.html","title":"GoogleApi.IAM.V1.Model.EnableServiceAccountRequest","type":"module","doc":"The service account enable request. Attributes"},{"ref":"GoogleApi.IAM.V1.Model.EnableServiceAccountRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.EnableServiceAccountRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.EnableServiceAccountRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.EnableServiceAccountRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.Expr.html","title":"GoogleApi.IAM.V1.Model.Expr","type":"module","doc":"Represents an expression text. Example: title: &quot;User account presence&quot; description: &quot;Determines whether the request has a user account&quot; expression: &quot;size(request.user) &gt; 0&quot; Attributes description (type: String.t, default: nil) - An optional description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI. expression (type: String.t, default: nil) - Textual representation of an expression in Common Expression Language syntax. The application context of the containing message determines which well-known feature set of CEL is supported. location (type: String.t, default: nil) - An optional string indicating the location of the expression for error reporting, e.g. a file name and a position in the file. title (type: String.t, default: nil) - An optional title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression."},{"ref":"GoogleApi.IAM.V1.Model.Expr.html#decode/2","title":"GoogleApi.IAM.V1.Model.Expr.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.Expr.html#t:t/0","title":"GoogleApi.IAM.V1.Model.Expr.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.LintPolicyRequest.html","title":"GoogleApi.IAM.V1.Model.LintPolicyRequest","type":"module","doc":"The request to lint a Cloud IAM policy object. LintPolicy is currently functional only for lint_object of type condition. Attributes binding (type: GoogleApi.IAM.V1.Model.Binding.t, default: nil) - Binding object to be linted. The functionality of linting a binding is not yet implemented and if this field is set, it returns NOT_IMPLEMENTED error. condition (type: GoogleApi.IAM.V1.Model.Expr.t, default: nil) - google.iam.v1.Binding.condition object to be linted. context (type: map(), default: nil) - context contains additional permission-controlled data that any lint unit may depend on, in form of {key: value} pairs. Currently, this field is non-operational and it will not be used during the lint operation. fullResourceName (type: String.t, default: nil) - The full resource name of the policy this lint request is about. The name follows the Google Cloud Platform (GCP) resource format. For example, a GCP project with ID my-project will be named //cloudresourcemanager.googleapis.com/projects/my-project. The resource name is not used to read the policy instance from the Cloud IAM database. The candidate policy for lint has to be provided in the same request object. policy (type: GoogleApi.IAM.V1.Model.Policy.t, default: nil) - Policy object to be linted. The functionality of linting a policy is not yet implemented and if this field is set, it returns NOT_IMPLEMENTED error."},{"ref":"GoogleApi.IAM.V1.Model.LintPolicyRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.LintPolicyRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.LintPolicyRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.LintPolicyRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.LintPolicyResponse.html","title":"GoogleApi.IAM.V1.Model.LintPolicyResponse","type":"module","doc":"The response of a lint operation. An empty response indicates the operation was able to fully execute and no lint issue was found. Attributes lintResults (type: list(GoogleApi.IAM.V1.Model.LintResult.t), default: nil) - List of lint results sorted by a composite key, descending order of severity and ascending order of binding_ordinal. There is no certain order among the same keys. For cross-binding results (only if the input object to lint is instance of google.iam.v1.Policy), there will be a google.iam.admin.v1.LintResult for each of the involved bindings, and the associated debug_message may enumerate the other involved binding ordinal number(s)."},{"ref":"GoogleApi.IAM.V1.Model.LintPolicyResponse.html#decode/2","title":"GoogleApi.IAM.V1.Model.LintPolicyResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.LintPolicyResponse.html#t:t/0","title":"GoogleApi.IAM.V1.Model.LintPolicyResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.LintResult.html","title":"GoogleApi.IAM.V1.Model.LintResult","type":"module","doc":"Structured response of a single validation unit. Attributes bindingOrdinal (type: integer(), default: nil) - 0-based index ordinality of the binding in the input object associated with this result. This field is populated only if the input object to lint is of type google.iam.v1.Policy, which can comprise more than one binding. It is set to -1 if the result is not associated with any particular binding and only targets the policy as a whole, such as results about policy size violations. debugMessage (type: String.t, default: nil) - Human readable debug message associated with the issue. fieldName (type: String.t, default: nil) - The name of the field for which this lint result is about. For nested messages, field_name consists of names of the embedded fields separated by period character. The top-level qualifier is the input object to lint in the request. For instance, if the lint request is on a google.iam.v1.Policy and this lint result is about a condition expression of one of the input policy bindings, the field would be populated as policy.bindings.condition.expression. This field does not identify the ordinality of the repetitive fields (for instance bindings in a policy). level (type: String.t, default: nil) - The validation unit level. locationOffset (type: integer(), default: nil) - 0-based character position of problematic construct within the object identified by field_name. Currently, this is populated only for condition expression. severity (type: String.t, default: nil) - The validation unit severity. validationUnitName (type: String.t, default: nil) - The validation unit name, for instance “lintValidationUnits/ConditionComplexityCheck”."},{"ref":"GoogleApi.IAM.V1.Model.LintResult.html#decode/2","title":"GoogleApi.IAM.V1.Model.LintResult.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.LintResult.html#t:t/0","title":"GoogleApi.IAM.V1.Model.LintResult.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.ListRolesResponse.html","title":"GoogleApi.IAM.V1.Model.ListRolesResponse","type":"module","doc":"The response containing the roles defined under a resource. Attributes nextPageToken (type: String.t, default: nil) - To retrieve the next page of results, set ListRolesRequest.page_token to this value. roles (type: list(GoogleApi.IAM.V1.Model.Role.t), default: nil) - The Roles defined on this resource."},{"ref":"GoogleApi.IAM.V1.Model.ListRolesResponse.html#decode/2","title":"GoogleApi.IAM.V1.Model.ListRolesResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.ListRolesResponse.html#t:t/0","title":"GoogleApi.IAM.V1.Model.ListRolesResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.ListServiceAccountKeysResponse.html","title":"GoogleApi.IAM.V1.Model.ListServiceAccountKeysResponse","type":"module","doc":"The service account keys list response. Attributes keys (type: list(GoogleApi.IAM.V1.Model.ServiceAccountKey.t), default: nil) - The public keys for the service account."},{"ref":"GoogleApi.IAM.V1.Model.ListServiceAccountKeysResponse.html#decode/2","title":"GoogleApi.IAM.V1.Model.ListServiceAccountKeysResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.ListServiceAccountKeysResponse.html#t:t/0","title":"GoogleApi.IAM.V1.Model.ListServiceAccountKeysResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.ListServiceAccountsResponse.html","title":"GoogleApi.IAM.V1.Model.ListServiceAccountsResponse","type":"module","doc":"The service account list response. Attributes accounts (type: list(GoogleApi.IAM.V1.Model.ServiceAccount.t), default: nil) - The list of matching service accounts. nextPageToken (type: String.t, default: nil) - To retrieve the next page of results, set ListServiceAccountsRequest.page_token to this value."},{"ref":"GoogleApi.IAM.V1.Model.ListServiceAccountsResponse.html#decode/2","title":"GoogleApi.IAM.V1.Model.ListServiceAccountsResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.ListServiceAccountsResponse.html#t:t/0","title":"GoogleApi.IAM.V1.Model.ListServiceAccountsResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.PatchServiceAccountRequest.html","title":"GoogleApi.IAM.V1.Model.PatchServiceAccountRequest","type":"module","doc":"The patch service account request. Attributes serviceAccount (type: GoogleApi.IAM.V1.Model.ServiceAccount.t, default: nil) - updateMask (type: String.t, default: nil) -"},{"ref":"GoogleApi.IAM.V1.Model.PatchServiceAccountRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.PatchServiceAccountRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.PatchServiceAccountRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.PatchServiceAccountRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.Permission.html","title":"GoogleApi.IAM.V1.Model.Permission","type":"module","doc":"A permission which can be included by a role. Attributes apiDisabled (type: boolean(), default: nil) - The service API associated with the permission is not enabled. customRolesSupportLevel (type: String.t, default: nil) - The current custom role support level. description (type: String.t, default: nil) - A brief description of what this Permission is used for. name (type: String.t, default: nil) - The name of this Permission. onlyInPredefinedRoles (type: boolean(), default: nil) - This permission can ONLY be used in predefined roles. primaryPermission (type: String.t, default: nil) - The preferred name for this permission. If present, then this permission is an alias of, and equivalent to, the listed primary_permission. stage (type: String.t, default: nil) - The current launch stage of the permission. title (type: String.t, default: nil) - The title of this Permission."},{"ref":"GoogleApi.IAM.V1.Model.Permission.html#decode/2","title":"GoogleApi.IAM.V1.Model.Permission.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.Permission.html#t:t/0","title":"GoogleApi.IAM.V1.Model.Permission.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.PermissionDelta.html","title":"GoogleApi.IAM.V1.Model.PermissionDelta","type":"module","doc":"A PermissionDelta message to record the added_permissions and removed_permissions inside a role. Attributes addedPermissions (type: list(String.t), default: nil) - Added permissions. removedPermissions (type: list(String.t), default: nil) - Removed permissions."},{"ref":"GoogleApi.IAM.V1.Model.PermissionDelta.html#decode/2","title":"GoogleApi.IAM.V1.Model.PermissionDelta.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.PermissionDelta.html#t:t/0","title":"GoogleApi.IAM.V1.Model.PermissionDelta.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.Policy.html","title":"GoogleApi.IAM.V1.Model.Policy","type":"module","doc":"Defines an Identity and Access Management (IAM) policy. It is used to specify access control policies for Cloud Platform resources. A Policy consists of a list of bindings. A binding binds a list of members to a role, where the members can be user accounts, Google groups, Google domains, and service accounts. A role is a named list of permissions defined by IAM. JSON Example { &quot;bindings&quot;: [ { &quot;role&quot;: &quot;roles/owner&quot;, &quot;members&quot;: [ &quot;user:mike@example.com&quot;, &quot;group:admins@example.com&quot;, &quot;domain:google.com&quot;, &quot;serviceAccount:my-other-app@appspot.gserviceaccount.com&quot; ] }, { &quot;role&quot;: &quot;roles/viewer&quot;, &quot;members&quot;: [&quot;user:sean@example.com&quot;] } ] } YAML Example bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-other-app@appspot.gserviceaccount.com role: roles/owner - members: - user:sean@example.com role: roles/viewer For a description of IAM and its features, see the IAM developer&#39;s guide. Attributes auditConfigs (type: list(GoogleApi.IAM.V1.Model.AuditConfig.t), default: nil) - Specifies cloud audit logging configuration for this policy. bindings (type: list(GoogleApi.IAM.V1.Model.Binding.t), default: nil) - Associates a list of members to a role. bindings with no members will result in an error. etag (type: String.t, default: nil) - etag is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the etag in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An etag is returned in the response to getIamPolicy, and systems are expected to put that etag in the request to setIamPolicy to ensure that their change will be applied to the same version of the policy. If no etag is provided in the call to setIamPolicy, then the existing policy is overwritten. version (type: integer(), default: nil) - Deprecated."},{"ref":"GoogleApi.IAM.V1.Model.Policy.html#decode/2","title":"GoogleApi.IAM.V1.Model.Policy.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.Policy.html#t:t/0","title":"GoogleApi.IAM.V1.Model.Policy.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.PolicyDelta.html","title":"GoogleApi.IAM.V1.Model.PolicyDelta","type":"module","doc":"The difference delta between two policies. Attributes bindingDeltas (type: list(GoogleApi.IAM.V1.Model.BindingDelta.t), default: nil) - The delta for Bindings between two policies."},{"ref":"GoogleApi.IAM.V1.Model.PolicyDelta.html#decode/2","title":"GoogleApi.IAM.V1.Model.PolicyDelta.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.PolicyDelta.html#t:t/0","title":"GoogleApi.IAM.V1.Model.PolicyDelta.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.QueryAuditableServicesRequest.html","title":"GoogleApi.IAM.V1.Model.QueryAuditableServicesRequest","type":"module","doc":"A request to get the list of auditable services for a resource. Attributes fullResourceName (type: String.t, default: nil) - Required. The full resource name to query from the list of auditable services. The name follows the Google Cloud Platform resource format. For example, a Cloud Platform project with id my-project will be named //cloudresourcemanager.googleapis.com/projects/my-project."},{"ref":"GoogleApi.IAM.V1.Model.QueryAuditableServicesRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.QueryAuditableServicesRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.QueryAuditableServicesRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.QueryAuditableServicesRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.QueryAuditableServicesResponse.html","title":"GoogleApi.IAM.V1.Model.QueryAuditableServicesResponse","type":"module","doc":"A response containing a list of auditable services for a resource. Attributes services (type: list(GoogleApi.IAM.V1.Model.AuditableService.t), default: nil) - The auditable services for a resource."},{"ref":"GoogleApi.IAM.V1.Model.QueryAuditableServicesResponse.html#decode/2","title":"GoogleApi.IAM.V1.Model.QueryAuditableServicesResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.QueryAuditableServicesResponse.html#t:t/0","title":"GoogleApi.IAM.V1.Model.QueryAuditableServicesResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.QueryGrantableRolesRequest.html","title":"GoogleApi.IAM.V1.Model.QueryGrantableRolesRequest","type":"module","doc":"The grantable role query request. Attributes fullResourceName (type: String.t, default: nil) - Required. The full resource name to query from the list of grantable roles. The name follows the Google Cloud Platform resource format. For example, a Cloud Platform project with id my-project will be named //cloudresourcemanager.googleapis.com/projects/my-project. pageSize (type: integer(), default: nil) - Optional limit on the number of roles to include in the response. pageToken (type: String.t, default: nil) - Optional pagination token returned in an earlier QueryGrantableRolesResponse. view (type: String.t, default: nil) -"},{"ref":"GoogleApi.IAM.V1.Model.QueryGrantableRolesRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.QueryGrantableRolesRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.QueryGrantableRolesRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.QueryGrantableRolesRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.QueryGrantableRolesResponse.html","title":"GoogleApi.IAM.V1.Model.QueryGrantableRolesResponse","type":"module","doc":"The grantable role query response. Attributes nextPageToken (type: String.t, default: nil) - To retrieve the next page of results, set QueryGrantableRolesRequest.page_token to this value. roles (type: list(GoogleApi.IAM.V1.Model.Role.t), default: nil) - The list of matching roles."},{"ref":"GoogleApi.IAM.V1.Model.QueryGrantableRolesResponse.html#decode/2","title":"GoogleApi.IAM.V1.Model.QueryGrantableRolesResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.QueryGrantableRolesResponse.html#t:t/0","title":"GoogleApi.IAM.V1.Model.QueryGrantableRolesResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsRequest.html","title":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsRequest","type":"module","doc":"A request to get permissions which can be tested on a resource. Attributes fullResourceName (type: String.t, default: nil) - Required. The full resource name to query from the list of testable permissions. The name follows the Google Cloud Platform resource format. For example, a Cloud Platform project with id my-project will be named //cloudresourcemanager.googleapis.com/projects/my-project. pageSize (type: integer(), default: nil) - Optional limit on the number of permissions to include in the response. pageToken (type: String.t, default: nil) - Optional pagination token returned in an earlier QueryTestablePermissionsRequest."},{"ref":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsResponse.html","title":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsResponse","type":"module","doc":"The response containing permissions which can be tested on a resource. Attributes nextPageToken (type: String.t, default: nil) - To retrieve the next page of results, set QueryTestableRolesRequest.page_token to this value. permissions (type: list(GoogleApi.IAM.V1.Model.Permission.t), default: nil) - The Permissions testable on the requested resource."},{"ref":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsResponse.html#decode/2","title":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsResponse.html#t:t/0","title":"GoogleApi.IAM.V1.Model.QueryTestablePermissionsResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.Role.html","title":"GoogleApi.IAM.V1.Model.Role","type":"module","doc":"A role in the Identity and Access Management API. Attributes deleted (type: boolean(), default: nil) - The current deleted state of the role. This field is read only. It will be ignored in calls to CreateRole and UpdateRole. description (type: String.t, default: nil) - Optional. A human-readable description for the role. etag (type: String.t, default: nil) - Used to perform a consistent read-modify-write. includedPermissions (type: list(String.t), default: nil) - The names of the permissions this role grants when bound in an IAM policy. name (type: String.t, default: nil) - The name of the role. When Role is used in CreateRole, the role name must not be set. When Role is used in output and other input such as UpdateRole, the role name is the complete path, e.g., roles/logging.viewer for predefined roles and organizations/{ORGANIZATION_ID}/roles/logging.viewer for custom roles. stage (type: String.t, default: nil) - The current launch stage of the role. If the ALPHA launch stage has been selected for a role, the stage field will not be included in the returned definition for the role. title (type: String.t, default: nil) - Optional. A human-readable title for the role. Typically this is limited to 100 UTF-8 bytes."},{"ref":"GoogleApi.IAM.V1.Model.Role.html#decode/2","title":"GoogleApi.IAM.V1.Model.Role.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.Role.html#t:t/0","title":"GoogleApi.IAM.V1.Model.Role.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.ServiceAccount.html","title":"GoogleApi.IAM.V1.Model.ServiceAccount","type":"module","doc":"A service account in the Identity and Access Management API. To create a service account, specify the project_id and the account_id for the account. The account_id is unique within the project, and is used to generate the service account email address and a stable unique_id. If the account already exists, the account&#39;s resource name is returned in the format of projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}. The caller can use the name in other methods to access the account. All other methods can identify the service account using the format projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}. Using - as a wildcard for the PROJECT_ID will infer the project from the account. The ACCOUNT value can be the email address or the unique_id of the service account. Attributes description (type: String.t, default: nil) - Optional. A user-specified opaque description of the service account. Must be less than or equal to 256 UTF-8 bytes. disabled (type: boolean(), default: nil) - @OutputOnly A bool indicate if the service account is disabled. The field is currently in alpha phase. displayName (type: String.t, default: nil) - Optional. A user-specified name for the service account. Must be less than or equal to 100 UTF-8 bytes. email (type: String.t, default: nil) - @OutputOnly The email address of the service account. etag (type: String.t, default: nil) - Optional. Note: etag is an inoperable legacy field that is only returned for backwards compatibility. name (type: String.t, default: nil) - The resource name of the service account in the following format: projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}. Requests using - as a wildcard for the PROJECT_ID will infer the project from the account and the ACCOUNT value can be the email address or the unique_id of the service account. In responses the resource name will always be in the format projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}. oauth2ClientId (type: String.t, default: nil) - @OutputOnly The OAuth2 client id for the service account. This is used in conjunction with the OAuth2 clientconfig API to make three legged OAuth2 (3LO) flows to access the data of Google users. projectId (type: String.t, default: nil) - @OutputOnly The id of the project that owns the service account. uniqueId (type: String.t, default: nil) - @OutputOnly The unique and stable id of the service account."},{"ref":"GoogleApi.IAM.V1.Model.ServiceAccount.html#decode/2","title":"GoogleApi.IAM.V1.Model.ServiceAccount.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.ServiceAccount.html#t:t/0","title":"GoogleApi.IAM.V1.Model.ServiceAccount.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.ServiceAccountKey.html","title":"GoogleApi.IAM.V1.Model.ServiceAccountKey","type":"module","doc":"Represents a service account key. A service account has two sets of key-pairs: user-managed, and system-managed. User-managed key-pairs can be created and deleted by users. Users are responsible for rotating these keys periodically to ensure security of their service accounts. Users retain the private key of these key-pairs, and Google retains ONLY the public key. System-managed keys are automatically rotated by Google, and are used for signing for a maximum of two weeks. The rotation process is probabilistic, and usage of the new key will gradually ramp up and down over the key&#39;s lifetime. We recommend caching the public key set for a service account for no more than 24 hours to ensure you have access to the latest keys. Public keys for all service accounts are also published at the OAuth2 Service Account API. Attributes keyAlgorithm (type: String.t, default: nil) - Specifies the algorithm (and possibly key size) for the key. keyOrigin (type: String.t, default: nil) - The key origin. name (type: String.t, default: nil) - The resource name of the service account key in the following format projects/{PROJECT_ID}/serviceAccounts/{ACCOUNT}/keys/{key}. privateKeyData (type: String.t, default: nil) - The private key data. Only provided in CreateServiceAccountKey responses. Make sure to keep the private key data secure because it allows for the assertion of the service account identity. When base64 decoded, the private key data can be used to authenticate with Google API client libraries and with gcloud auth activate-service-account. privateKeyType (type: String.t, default: nil) - The output format for the private key. Only provided in CreateServiceAccountKey responses, not in GetServiceAccountKey or ListServiceAccountKey responses. Google never exposes system-managed private keys, and never retains user-managed private keys. publicKeyData (type: String.t, default: nil) - The public key data. Only provided in GetServiceAccountKey responses. validAfterTime (type: DateTime.t, default: nil) - The key can be used after this timestamp. validBeforeTime (type: DateTime.t, default: nil) - The key can be used before this timestamp."},{"ref":"GoogleApi.IAM.V1.Model.ServiceAccountKey.html#decode/2","title":"GoogleApi.IAM.V1.Model.ServiceAccountKey.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.ServiceAccountKey.html#t:t/0","title":"GoogleApi.IAM.V1.Model.ServiceAccountKey.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.SetIamPolicyRequest.html","title":"GoogleApi.IAM.V1.Model.SetIamPolicyRequest","type":"module","doc":"Request message for SetIamPolicy method. Attributes policy (type: GoogleApi.IAM.V1.Model.Policy.t, default: nil) - REQUIRED: The complete policy to be applied to the resource. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Cloud Platform services (such as Projects) might reject them. updateMask (type: String.t, default: nil) - OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: paths: &quot;bindings, etag&quot; This field is only used by Cloud IAM."},{"ref":"GoogleApi.IAM.V1.Model.SetIamPolicyRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.SetIamPolicyRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.SetIamPolicyRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.SetIamPolicyRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.SignBlobRequest.html","title":"GoogleApi.IAM.V1.Model.SignBlobRequest","type":"module","doc":"The service account sign blob request. Attributes bytesToSign (type: String.t, default: nil) - The bytes to sign."},{"ref":"GoogleApi.IAM.V1.Model.SignBlobRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.SignBlobRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.SignBlobRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.SignBlobRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.SignBlobResponse.html","title":"GoogleApi.IAM.V1.Model.SignBlobResponse","type":"module","doc":"The service account sign blob response. Attributes keyId (type: String.t, default: nil) - The id of the key used to sign the blob. signature (type: String.t, default: nil) - The signed blob."},{"ref":"GoogleApi.IAM.V1.Model.SignBlobResponse.html#decode/2","title":"GoogleApi.IAM.V1.Model.SignBlobResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.SignBlobResponse.html#t:t/0","title":"GoogleApi.IAM.V1.Model.SignBlobResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.SignJwtRequest.html","title":"GoogleApi.IAM.V1.Model.SignJwtRequest","type":"module","doc":"The service account sign JWT request. Attributes payload (type: String.t, default: nil) - The JWT payload to sign, a JSON JWT Claim set."},{"ref":"GoogleApi.IAM.V1.Model.SignJwtRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.SignJwtRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.SignJwtRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.SignJwtRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.SignJwtResponse.html","title":"GoogleApi.IAM.V1.Model.SignJwtResponse","type":"module","doc":"The service account sign JWT response. Attributes keyId (type: String.t, default: nil) - The id of the key used to sign the JWT. signedJwt (type: String.t, default: nil) - The signed JWT."},{"ref":"GoogleApi.IAM.V1.Model.SignJwtResponse.html#decode/2","title":"GoogleApi.IAM.V1.Model.SignJwtResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.SignJwtResponse.html#t:t/0","title":"GoogleApi.IAM.V1.Model.SignJwtResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.TestIamPermissionsRequest.html","title":"GoogleApi.IAM.V1.Model.TestIamPermissionsRequest","type":"module","doc":"Request message for TestIamPermissions method. Attributes permissions (type: list(String.t), default: nil) - The set of permissions to check for the resource. Permissions with wildcards (such as &#39;&#39; or &#39;storage.&#39;) are not allowed. For more information see IAM Overview."},{"ref":"GoogleApi.IAM.V1.Model.TestIamPermissionsRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.TestIamPermissionsRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.TestIamPermissionsRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.TestIamPermissionsRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.TestIamPermissionsResponse.html","title":"GoogleApi.IAM.V1.Model.TestIamPermissionsResponse","type":"module","doc":"Response message for TestIamPermissions method. Attributes permissions (type: list(String.t), default: nil) - A subset of TestPermissionsRequest.permissions that the caller is allowed."},{"ref":"GoogleApi.IAM.V1.Model.TestIamPermissionsResponse.html#decode/2","title":"GoogleApi.IAM.V1.Model.TestIamPermissionsResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.TestIamPermissionsResponse.html#t:t/0","title":"GoogleApi.IAM.V1.Model.TestIamPermissionsResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.UndeleteRoleRequest.html","title":"GoogleApi.IAM.V1.Model.UndeleteRoleRequest","type":"module","doc":"The request to undelete an existing role. Attributes etag (type: String.t, default: nil) - Used to perform a consistent read-modify-write."},{"ref":"GoogleApi.IAM.V1.Model.UndeleteRoleRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.UndeleteRoleRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.UndeleteRoleRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.UndeleteRoleRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountRequest.html","title":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountRequest","type":"module","doc":"The service account undelete request. Attributes"},{"ref":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountRequest.html#decode/2","title":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountRequest.html#t:t/0","title":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountResponse.html","title":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountResponse","type":"module","doc":"Attributes restoredAccount (type: GoogleApi.IAM.V1.Model.ServiceAccount.t, default: nil) - Metadata for the restored service account."},{"ref":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountResponse.html#decode/2","title":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountResponse.html#t:t/0","title":"GoogleApi.IAM.V1.Model.UndeleteServiceAccountResponse.t/0","type":"type","doc":""}]